import { EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
export declare class JwPaginationComponent implements OnInit, OnChanges {
    items: Array<any>;
    changePage: EventEmitter<any>;
    initialPage: number;
    pageSize: number;
    maxPages: number;
    ShowFirstAndLast: boolean;
    pager: any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setPage(page: number): void;
    paginate(totalItems: any, currentPage: any, pageSize: any, maxPages: any): {
        totalItems: any;
        currentPage: any;
        pageSize: any;
        totalPages: number;
        startPage: any;
        endPage: any;
        startIndex: number;
        endIndex: number;
        pages: any[];
    };
}
